C+
C NAME:
C	LOSSanityCheck
C PURPOSE:
C	Does a couple of sanity checks before starting a tomgraphy run
C CALLING SEQUENCE:
	subroutine LOSSanityCheck(bVcon,bGcon)
C INPUTS:
C	bVcon		logical		.TRUE. when velocity deconvolution is requested
C	bGcon		logical		.TRUE. when g-level deconvolution is requested
C INCLUDE:
	include		't3d_param.h'
	include		't3d_array.h'
C PROCEDURE:
C	Currently it is only checked whether IPS data (velocity or g-level) are
C	available when a deconvolution (of velocity or g-level) is requested.
C MODIFICATION HISTORY:
C	SEP-1999, Paul Hick (UCSD/CASS; pphick@ucsd.edu)
C-
	    logical	bVcon
	    logical	bGcon

	character	cSay*14		/'LOSSanityCheck'/

	if (bVcon) then
	    call T3D_iget(T3D__NL_V,0,NL)
	    if (NL .eq. 0) call Say(cSay,'E','No',char(TOM__V)//' data')
	end if

	if (bGcon) then
	    call T3D_iget(T3D__NL_G,0,NL)
	    if (NL .eq. 0) call Say(cSay,'E','No',char(TOM__G)//' data')
	end if

	return
	end
